/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.spiegelvorgaben-checkbox-holder {
  margin: 0 0 24px;
}

// workaround for clickalble parent node https://github.com/ant-design/ant-design/issues/27507

@ant-prefix: ant;

.custom-select-dropdown {
  .@{ant-prefix}-select-tree {
    .@{ant-prefix}-select-tree-treenode {
      position: relative;
      .@{ant-prefix}-select-tree-switcher {
        text-align: left;
        left: 7px;
        position: absolute;
        width: 90%;
        z-index: 2;

        .@{ant-prefix}-select-tree-switcher-icon {
          visibility: hidden;
        }

        &:hover + .@{ant-prefix}-select-tree-node-content-wrapper {
          background-color: @platform-blue4;
        }
      }

      .@{ant-prefix}-select-tree-node-content-wrapper {
        margin-left: 24px;
      }

      &.@{ant-prefix}-select-tree-treenode-switcher-open {
        .@{ant-prefix}-select-tree-node-content-wrapper {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid #161616;
            z-index: 1;
            transform: rotate(0deg);
          }
        }
      }

      &.@{ant-prefix}-select-tree-treenode-switcher-close {
        .@{ant-prefix}-select-tree-node-content-wrapper {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid #161616;
            z-index: 1;
            transform: rotate(-90deg);
          }
        }

        .@{ant-prefix}-select-tree-node-content-wrapper-normal {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid transparent;
            z-index: 1;
            transform: rotate(-90deg);
          }
        }
      }
    }
  }
}
